Subject: undoing a ftpshut now

From: Steve Tanner <[email-masked]>
Date: Fri, 14 Jul 95 2:26:34 CDT

Earlier today I issued the following command as root:
   ftpshut now

Now, after I've rebooted the machine I get the following message when
trying to ftp my machine
   FTP server shut down -- please try again later

I've checked all of the /etc/ftp* files and they all appear to be 
unchanged since the ftpshut command.  I've searched the ftpd man pages
and the wu-ftpd home page, but found no way of undoing the command.

Anyone know how I can start the ftpd again and allow ftp access?

Thanks,
Steve

---

From: Joshua Cowan <[email-masked]>
Date: Fri, 14 Jul 95 03:48:14 CDT

> and the wu-ftpd home page, but found no way of undoing the command.

Check `/etc/ftpaccess' (assuming this is how you defined ``_PATH_FTPACCESS''
in `pathnames.h', I think it  is the default)  for the ``shutdown'' keyword.
This  should point to the file  that contains the shutdown message, relative
to  ftp's home dir.  It is  usually `~/ftp/etc/shutmsg'.  Just remove it (or
move it to a different file name if you are not sure).

--
Joshua Cowan <[email-masked]> | I don't want to listen but
http://hermit.reslife.okstate.edu/~jcowan        | but it's all too clear ...
Computer Engineering Student --- Oklahoma State University --- Stillwater, OK
PGP key available from any PGP keyserver or by fingering the above address.

---

From: Mark Lamourine <[email-masked]>
Date: Fri, 14 Jul 1995 08:35:07 -0400

In ftpaccess you specified a shutdown line. It has a file name.

When you run ftpshut, it creates the file named in the shutdown line.
Delete the file and all will be well.

- Mark
-------------------------------------------------------------------
Mark Lamourine, Systems Administrator, Dept. 82
BBN Inc, 70 Fawcett St, Cambridge, MA 02138 MS 14/d
Internet: [email-masked]   Voice: (617) 873-4306   Fax: (617) 873-2616